org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class MethodPropertyVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.MethodPropertyVisitor

Direct Known Subclasses:
  ParameterPropertyVisitor

    public class MethodPropertyVisitor
    extends org.objectweb.asm.AnnotationVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`MethodPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent, String method)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit annotation attributes.
`void` `visitEnd()` End of the visit.
`protected org.apache.felix.ipojo.metadata.Element` `visitEndCommon()`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodPropertyVisitor

    public MethodPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent,
                                 String method)

Constructor.

Parameters:
  `parent` - : element element.
  `method` - : attached method.

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit annotation attributes.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : annotation name
  `value` - : annotation value
See Also:
  `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

#### visitEnd

    public void visitEnd()

End of the visit. Append the computed element to the element element.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`

#### visitEndCommon

    protected org.apache.felix.ipojo.metadata.Element visitEndCommon()